#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
  QMainWindow(parent),
  ui(new Ui::MainWindow)
{
  ui->setupUi(this);
  Scene = new QGraphicsScene(this);
  ui->graphicsView->setBackgroundBrush(QBrush(Qt::darkGray, Qt::SolidPattern));
  ui->graphicsView->setScene(Scene);
  Rect = new MoveItem(0);
  Rect->setPos(50,50);
  Scene->addItem(Rect);
  ui->graphicsView->setAlignment(Qt::AlignCenter);
  ui->graphicsView->installEventFilter(this);
}

MainWindow::~MainWindow()
{
  delete ui;
}
